PipeWire: port Struct Reference

PipeWire 0.3.1

Data Fields
port Struct Reference
Collaboration diagram for port:
[legend]

## Data Fields
struct spa_node * | node
enum spa_direction | direction
uint32_t | port_id
struct spa_list | link
struct filter * | filter
uint32_t | id
uint32_t | flags
struct pw_port * | port
struct pw_properties * | props
uint32_t | change_mask_all
struct spa_port_info | info
struct spa_list | param_list
struct spa_param_info | params [5]
struct spa_io_buffers * | io
struct buffer | buffers [MAX_BUFFERS]
uint32_t | n_buffers
struct queue | dequeued
struct queue | queued
uint8_t | user_data [0]

## Field Documentation

## ◆ buffers

struct buffer port::buffers[MAX_BUFFERS]

Referenced by pw_buffers_clear().

## ◆ change_mask_all

uint32_t port::change_mask_all

## ◆ dequeued

struct queue port::dequeued

## ◆ direction

enum spa_direction port::direction

Referenced by pw_filter_remove_port(), pw_impl_port_add(), pw_impl_port_for_each_link(), pw_impl_port_get_direction(), pw_impl_port_init_mix(), pw_impl_port_release_mix(), pw_impl_port_set_mix(), pw_impl_port_set_param(), and pw_impl_port_use_buffers().

## ◆ filter

struct filter* port::filter

Referenced by pw_filter_dequeue_buffer(), pw_filter_queue_buffer(), and pw_filter_remove_port().

## ◆ flags

uint32_t port::flags

Referenced by pw_impl_port_set_param().

## ◆ id

uint32_t port::id

Referenced by pw_filter_remove_port().

## ◆ info

struct spa_port_info port::info

Referenced by pw_filter_update_properties(), and pw_impl_port_get_info().

## ◆ io

struct spa_io_buffers* port::io

Referenced by pw_impl_port_set_mix().

## ◆ link

struct spa_list port::link

Referenced by pw_filter_remove_port(), and pw_impl_port_init_mix().

## ◆ n_buffers

uint32_t port::n_buffers

## ◆ node

struct spa_node* port::node

Referenced by pw_impl_port_add(), pw_impl_port_for_each_param(), pw_impl_port_get_node(), pw_impl_port_register(), and pw_impl_port_set_param().

## ◆ param_list

struct spa_list port::param_list

## ◆ params

struct spa_param_info port::params[5]

## ◆ port

struct pw_port* port::port

Referenced by pw_filter_update_params(), and pw_impl_port_set_mix().

## ◆ port_id

uint32_t port::port_id

Referenced by pw_impl_port_add(), pw_impl_port_get_id(), pw_impl_port_init_mix(), pw_impl_port_release_mix(), pw_impl_port_set_param(), and pw_impl_port_use_buffers().

## ◆ props

struct pw_properties* port::props

Referenced by pw_filter_add_port(), pw_filter_get_properties(), and pw_filter_update_properties().

## ◆ queued

struct queue port::queued

## ◆ user_data

uint8_t port::user_data[0]

Referenced by pw_filter_dequeue_buffer(), pw_filter_get_dsp_buffer(), pw_filter_get_properties(), pw_filter_queue_buffer(), pw_filter_remove_port(), pw_filter_update_params(), pw_filter_update_properties(), and pw_impl_port_get_user_data().

The documentation for this struct was generated from the following files:

- buffers.c
- filter.c